# Jendryka_et_al_ACC_imaging_5CSRTT_data

This repository contains the raw behavioral and pre-processed calcium imaging data for the publication 'Excitatory neurons of the anterior cingulate cortex encode chosen actions and their outcomes rather than cognitive state' by Jendryka et al. You find the code for reproducing the paper using this data on https://github.com/martinjendryka/Jendryka_et_al_ACC_imaging_5CSRTT.git

The files were compressed into zip files and are stored in the folders **'behavior'** and **'miniscope'**, respectively.

### Behavioral data
The behavioral data consists of .csv files for each animal and experimental session with three values (index number, timestamp in ms, task variable). The first 4 lines hold information about the session, i.e. 'experiment name' (blank), 'Task name, Subject ID, Project (blank), Start date.

### Calcium imaging data 
The calcium imaging data consists of timestamp files (timestamp.dat or timestamp.csv) and pre-processed calcium traces (traces.mat) for each animal and session. 

The timestamp dat files have 4 values in each row: 'camNum' (0, not relevant), 'frameNum' (index number of recorded frame), 'sysClock' (timestamp in ms of recorded frame), 'buffer' (1, not relevant). The timestamp csv files have 3 values in each row: 'Frame Number' (index number of recorded frame), 'Time Stamp (ms)' (timestamp in ms of recorded frame), 'Buffer Index' (0, not relevant).

The calcium trace files contain three variables: 'traces' (2-D array, pre-processed calcium signal trace, dimensions: number of cells X number of frames), 'filters' (3-D array, spatial distribution of pre-processed calcium signal, number of frames according to length of FOV, number of frames according to width of FOV, number of cells). The third variable 'valid' can be ignored. 